incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rob Weir <robw...@apache.org>
Subject Re: [patch] Removal of Windows build requirement on unicows.dll - issue 88652
Date Tue, 27 Sep 2011 20:22:55 GMT
On Tue, Sep 27, 2011 at 4:08 PM, Dennis E. Hamilton
<dennis.hamilton@acm.org> wrote:
> I believe it has been mentioned, but I am not clear on what the precise conclusion is:
>
> What is the oldest Windows OS version that Apache OOo 3.4(-dev) will be supported on?
 How does that compare with the oldest Windows OS version that the last stable release (3.3.0?)
of OpenOffice.org is supported on?  (If there is a JRE dependency, that is another variant
to consider.)
>
> From there I think the low end of the range of configurations to test Windows installs
on is determined.  I know one dev who still has Windows 95 and Office 6.0/97 running.  I
can probably smoke test in a VM with Windows 98 SE, if I still have a disk somewhere.  I
can try Windows 2000 also, but nothing older than those.)  What I won't want to do is builds.
 But if someone has a build I can do simple install-success/-fail tests.
>

I'd recommend supporting Windows XP and beyond.   XP is officially
supported by Microsoft until April 2014.   I'm certainly not making
any effort to maintain or test support for earlier versions.  Of
course, that doesn't prevent anyone else from testing and patching to
support earlier versions.

>  - Dennis
>
> Afterthoughts:
>
> (Of course it might install on an unsupported version, which is useful to know but not
essential.  It might be more useful to know how installation fails on versions older than
the oldest supported version.)
>
> I can think of more than two ways to solve Oliver's dilemma.
>
> Rather than counting the ways, it is perhaps more relevant to determine whether this
project has the process capability to support a Windows release and, if not, whether and how
to obtain it.  Scary thoughts.
>
> -----Original Message-----
> From: Jürgen Schmidt [mailto:jogischmidt@googlemail.com]
> Sent: Tuesday, September 27, 2011 08:48
> To: ooo-dev@incubator.apache.org
> Subject: Re: [patch] Removal of Windows build requirement on unicows.dll - issue 88652
>
> On Tue, Sep 27, 2011 at 4:56 PM, Rob Weir <robweir@apache.org> wrote:
>
>> Is anyone else building on Windows right now?
>>
>> If not, we have a logistical problem.  Oliver is not a committer, but
>> he is producing a good number of patches for the Windows build that no
>> one else seems to be testing and integrating.
>>
>> I can think of two ways of solving this problem.
>>
>>
> i am building on windows as well at the moment but have more or less the
> same configuration as Oliver and i was waiting for somebody else with a
> different system who would test it. I will test it tomorrow.
>
> Juergen
>
>
>> -Rob
>>
>> On Tue, Sep 27, 2011 at 10:51 AM, Oliver-Rainer Wittmann
>> <orwittmann@googlemail.com> wrote:
>> > Hi,
>> >
>> > I have created a patch to remove the Window build requirement on
>> unicows.dll
>> > - see issue 88652 https://issues.apache.org/ooo/show_bug.cgi?id=88652
>> > The patch contains already the patch which cmc@openoffice.org (Caolan
>> > McNamara) has provided and attached to this issue.
>> >
>> > Can someone please review and test the patch and commit it to the
>> > reprository.
>> >
>> > Thanks in advance,
>> > Oliver.
>> >
>>
>
>

Mime
View raw message